Create SKU

View as Markdown

Create a SKU.

The Org must have an Infrastructure Provider that owns the Site. The user must have an authorization role with the PROVIDER_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Request

This endpoint expects an object.
siteIdstringRequiredformat: "uuid"
ID of the Site where the SKU will be created
idstringRequired>=1 character
Unique SKU identifier
componentsobjectRequired
Hardware components that make up a SKU
descriptionstringOptional

Human-readable SKU description

deviceTypestring or nullOptional
Optional device type identifier

Response

Created
idstringOptionalRead-only
Unique identifier for the SKU
siteIdstringOptionalRead-onlyformat: "uuid"
ID of the Site this SKU belongs to
descriptionstringOptionalRead-only

Human-readable SKU description

schemaVersionuintOptionalRead-only
Core SKU schema version when available
deviceTypestring or nullOptionalRead-only

Optional device type identifier (e.g. “gpu”, “cpu”, “storage”)

associatedMachineIdslist of stringsOptionalRead-only
List of machine IDs associated with this SKU
componentsobjectOptional
Hardware components of this SKU
createddatetimeOptionalRead-only
ISO 8601 datetime when the SKU was created
updateddatetimeOptionalRead-only
ISO 8601 datetime when the SKU was last updated

Errors

400
Bad Request Error
403
Forbidden Error